import React, { useCallback } from "react";
import { FlatList, View } from "react-native";
import QuickActionButton from "../QuickActionButton";
const QuickActionList = ({ numColumns = 3, data, id, testID, isActive = false, ...otherProps }) => {
    const renderItem = useCallback(({ item, index }) => {
        const isNotLastColumn = (index + 1) % numColumns > 0;
        const isNotLastItem = data && index !== data.length - 1;
        const hasButtonToItsRight = isNotLastColumn && isNotLastItem;
        const hasRowBelow = data?.length && index + numColumns < data.length;
        const mr = hasButtonToItsRight ? 4 : 0;
        const mb = hasRowBelow ? 4 : 0;
        return (React.createElement(View, { style: { flex: 1, minHeight: 30 } },
            React.createElement(QuickActionButton, { ...item, isActive: isActive, mr: mr, mb: mb, testID: testID })));
    }, []);
    return (React.createElement(FlatList, { ...otherProps, data: data, keyExtractor: (_item, index) => `${id}${index}`, horizontal: false, renderItem: renderItem, numColumns: numColumns }));
};
export default QuickActionList;
